| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::Technique::GPUVendorRule Struct Reference

Rule controlling whether technique is deemed supported based on GPU vendor. More...

`#include <OgreTechnique.h>`

## Public Member Functions
| GPUVendorRule ()
| GPUVendorRule (GPUVendor v, IncludeOrExclude ie)

## Public Attributes
IncludeOrExclude | includeOrExclude
GPUVendor | vendor

## Detailed Description

Rule controlling whether technique is deemed supported based on GPU vendor.

## Constructor & Destructor Documentation

## ◆ GPUVendorRule() [1/2]

Ogre::Technique::GPUVendorRule::GPUVendorRule | ( |  | ) |
| inline

## ◆ GPUVendorRule() [2/2]

Ogre::Technique::GPUVendorRule::GPUVendorRule | ( | GPUVendor | v,
|  | IncludeOrExclude | ie
| ) |  |
| inline

## Member Data Documentation

## ◆ vendor

GPUVendor Ogre::Technique::GPUVendorRule::vendor

## ◆ includeOrExclude

IncludeOrExclude Ogre::Technique::GPUVendorRule::includeOrExclude

The documentation for this struct was generated from the following file:

- OgreTechnique.h